## org.apache.aries.subsystem.core.internal
Class SharingPolicyValidator

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SharingPolicyValidator

    public class SharingPolicyValidator

extends Object

Constructor Summary
`SharingPolicyValidator(org.eclipse.equinox.region.Region from, org.eclipse.equinox.region.Region to)`

Method Summary
`boolean` `isValid(org.osgi.resource.Capability capability)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharingPolicyValidator

    public SharingPolicyValidator(org.eclipse.equinox.region.Region from,
                                  org.eclipse.equinox.region.Region to)

Method Detail

### isValid

    public boolean isValid(org.osgi.resource.Capability capability)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.